import React, { Suspense } from 'react';
import { Routes, Route } from 'react-router-dom';
import { Spinner } from '@chakra-ui/react';

import { UnderConstructionPage } from './pages';
const Hello = () => <h1>Hello</h1>;

export const Dashboard = () => {
  return (
    <Routes>
      <Route
        path={'*'}
        element={
          <Suspense fallback={<Spinner />}>
            <UnderConstructionPage />
          </Suspense>
        }
      />
      <Route path={'*'} element={<h1>Страница не найдена</h1>} />
    </Routes>
  );
};
